<template>
  <v-menu :close-on-content-click="closeOnContentCLick" :offset="offset">
    <template #activator="{ props }">
      <div v-bind="props">
        <slot name="activator">
          <svn-button />
        </slot>
      </div>
    </template>
    
    <v-list class="pa-0 !rounded-0 !shadow-none !overflow-visible">
      <v-list-item
        v-if="items?.length"
        v-for="(item, index) in items"
        :key="item?.id"
        :value="item"
        @click="item?.onClick"
      >
        <v-list-item-title>
          {{ item?.title }}
        </v-list-item-title>
      </v-list-item>

      <slot v-else name="dropdown" />
    </v-list>

  </v-menu>
</template>

<script setup>
import SvnButton from "@/components/button/SvnButton.vue";

const props = defineProps({
  items: { type: Array, default: () => [] },
  closeOnContentCLick: { type: Boolean, default: true },
  offset: { type: Number, default: null },
})
</script>